Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 413843 - media-video/subtitleeditor-0.40.0: error: #error "Only <glib.h> can be included directly."
Summary: media-video/subtitleeditor-0.40.0: error: #error "Only <glib.h> can be includ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gilles Dartiguelongue
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-28 09:42 UTC by PM
Modified: 2012-05-16 10:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-video/subtitleeditor-0.40.0-work_with_new_glib (subtitleeditor-patch,505 bytes, patch)
2012-04-28 10:27 UTC, Andre Reinke
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description PM 2012-04-28 09:42:34 UTC
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../.. -I../../../src -pthread -DQT_SHARED -I/usr/include/gtkmm-2.4 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib64/pangomm-1.4/include -I/usr/include/gtk-2.0 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib64/gdkmm-2.4/include -I/usr/include/atk-1.0 -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/cairomm-1.0 -I/usr/lib64/cairomm-1.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore -I/usr/lib64/gtk-2.0/include -I/usr/include/gdk-pixbuf-2.0 -DSE_PLUGIN_PATH_DEV=\"/var/tmp/portage/media-video/subtitleeditor-0.40.0/work/subtitleeditor-0.40.0/plugins/actions/findandreplace\" -DSE_PLUGIN_PATH_UI=\"/usr/share/subtitleeditor/plugins-share/findandreplace\" -DENABLE_GL -O2 -march=native -pipe -g -ansi -Wall -Wextra -Wconversion -c findandreplace.cc  -fPIC -DPIC -o .libs/findandreplace.o
Found cached translation database
Merging translations into findandreplace.se-plugin.
In file included from findandreplace.cc:29:0:
/usr/include/glib-2.0/glib/gregex.h:23:2: error: #error "Only <glib.h> can be included directly."
In file included from findandreplace.cc:25:0:
../../../src/utility.h: In function 'bool from_string(const std::string&, T&)':
../../../src/utility.h:78:72: warning: suggest braces around empty body in an 'if' statement
../../../src/utility.h: In function 'bool from_string(const Glib::ustring&, T&)':
../../../src/utility.h:98:72: warning: suggest braces around empty body in an 'if' statement
findandreplace.cc: In member function 'bool FaR::regex_exec(const Glib::ustring&, const Glib::ustring&, bool, Glib::ustring::size_type&, Glib::ustring::size_type&)':
findandreplace.cc:341:85: warning: conversion to 'int' from 'glong' may alter its value
findandreplace.cc:342:81: warning: conversion to 'int' from 'glong' may alter its value
findandreplace.cc: At global scope:
findandreplace.cc:363:2: warning: unused parameter 'xml'
findandreplace.cc: In member function 'void DialogFindAndReplace::update_search_ui()':
findandreplace.cc:643:63: warning: conversion to 'int' from 'Glib::ustring::size_type' may alter its value
findandreplace.cc:644:78: warning: conversion to 'int' from 'Glib::ustring::size_type' may alter its value
make[4]: *** [findandreplace.lo] Błąd 1
make[4]: Opuszczenie katalogu `/var/tmp/portage/media-video/subtitleeditor-0.40.0/work/subtitleeditor-0.40.0/plugins/actions/findandreplace'
make[3]: *** [all-recursive] Błąd 1
make[3]: Opuszczenie katalogu `/var/tmp/portage/media-video/subtitleeditor-0.40.0/work/subtitleeditor-0.40.0/plugins/actions'
make[2]: *** [all-recursive] Błąd 1
make[2]: Opuszczenie katalogu `/var/tmp/portage/media-video/subtitleeditor-0.40.0/work/subtitleeditor-0.40.0/plugins'
make[1]: *** [all-recursive] Błąd 1
make[1]: Opuszczenie katalogu `/var/tmp/portage/media-video/subtitleeditor-0.40.0/work/subtitleeditor-0.40.0'
make: *** [all] Błąd 2



Portage 2.2.0_alpha101 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.15-r1, 3.3.3-pf x86_64)
=================================================================
System uname: Linux-3.3.3-pf-x86_64-Pentium-R-_Dual-Core_CPU_T4300_@_2.10GHz-with-gentoo-2.1
Timestamp of tree: Wed, 25 Apr 2012 21:30:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p24-r1
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3, 3.2.2-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo multimedia roslin sunrise dupa
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -g"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe -g"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=native -pipe -g"
GENTOO_MIRRORS="http://gentoo.mirror.pw.edu.pl/ http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://mirror.netcologne.de/gentoo/"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/multimedia /usr/local/portage/layman/roslin /usr/local/portage/layman/sunrise /usr/local/portage/moje"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac aalib acl acpi alsa amd64 amr amrnb amrwb async audiofile automount bash-completion berkdb bfq bineditor bluetooth branding bzip2 c++0x cairo cdaudio cdda cddb cdio cdparanoia cdr cli consolekit cracklib crypt css cups curl cxx dbus declarative devhelp dirac disk-partition divx djvu dri dts dvd dvdr editor emboss emovix enca encode exchange exif faac faad fam fat ffmpeg fftw firefox firefox3 flac fontconfig fortran g3dvl gd gdbm gdu geoip gif glitz gmedia gphoto2 gpm gtk hddtemp htmlhandbook iconv id3 id3tag imagemagick inotify ipod jack jpeg kde kde4 kdehiddenvisibility kipi kpathsea kqemu ladspa lame laptop lcms libcaca libnotify libsamplerate llvm lm_sensors mad mjpeg mmap mmx mmxext mng modules mp3 mp3tunes mp4 mpeg mplayer mtp mudflap multilib musicbrainz ncurses nls nptl nptlonly nsplugin ntfs ogg openal opencore-amr opencore-amrnb opencore-amrwb opengl openmp pam pango pch pcre pdf perl phonon plasma png policykit ppds pppd private-headers python qt-copy qt3 qt3support qt4 rar raster readline realmedia roe scanner schroedinger sdl secure-delete sensord session sndfile solver soundtouch sourceview sparse spell sse sse2 ssl ssse3 startup-notification svg swat symlink sysfs syslog tcpd theora threads tiff truetype udev unicode upnp usb vamp vcd vorbis webkit wmf wmp wxwidgets wxwindows x264 xcb xcomposite xine xinerama xml xorg xscreensaver xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="battery sensors rrdtool" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Göktürk Yüksek gentoo-dev 2012-04-28 10:05:52 UTC
If your dev-libs/glib version is 2.32, this is a blocker for 406437
Comment 2 Andre Reinke 2012-04-28 10:27:02 UTC
Created attachment 310329 [details, diff]
media-video/subtitleeditor-0.40.0-work_with_new_glib

Until fixed this little patch should do the trick :)

Yeah, it's a block to 406437
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-05-04 00:19:56 UTC
Thanks for the report and the patch; fixed in cvs without a revision bump. Andre, I've submitted your patch upstream at https://gna.org/bugs/index.php?19709

>  04 May 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
>  subtitleeditor-0.40.0.ebuild, +files/subtitleeditor-0.40.0-glib-2.31.patch:
>  Fix build failure with >=glib-2.31 (bug #413843, thanks to Piotr Mitas and
>  Andre Reinke).